simpleptrlist.h File Reference
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/inherit.h>`

Go to the source code of this file.

## Macros

#define | GWEN_SIMPLEPTRLIST_FLAGS_ATTACHTOOBJECTS 0x40000000L
#define | GWEN_SIMPLEPTRLIST_FLAGS_DETACHFROMOBJECTS 0x20000000L

## Typedefs

typedef struct GWEN_SIMPLEPTRLIST | GWEN_SIMPLEPTRLIST
typedef GWENHYWFAR_CB void(* | GWEN_SIMPLEPTRLIST_ATTACHOBJECT_FN) (GWEN_SIMPLEPTRLIST *pl, void *p)
typedef GWENHYWFAR_CB void(* | GWEN_SIMPLEPTRLIST_FREEOBJECT_FN) (GWEN_SIMPLEPTRLIST *pl, void *p)

## Functions

GWENHYWFAR_API void | GWEN_SimplePtrList_AddFlags (GWEN_SIMPLEPTRLIST *pl, uint32_t f)
GWENHYWFAR_API int64_t | GWEN_SimplePtrList_AddPtr (GWEN_SIMPLEPTRLIST *pl, void *p)
GWENHYWFAR_API void | GWEN_SimplePtrList_Attach (GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API void | GWEN_SimplePtrList_Clear (GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API int | GWEN_SimplePtrList_DecUserCounter (GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API int | GWEN_SimplePtrList_EnsureWritability (GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API void | GWEN_SimplePtrList_free (GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API void * | GWEN_SimplePtrList_GetEntries (const GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API uint32_t | GWEN_SimplePtrList_GetFlags (const GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API uint64_t | GWEN_SimplePtrList_GetMaxEntries (const GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API void * | GWEN_SimplePtrList_GetPtrAt (const GWEN_SIMPLEPTRLIST *pl, uint64_t idx)
GWENHYWFAR_API uint64_t | GWEN_SimplePtrList_GetSteps (const GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API uint64_t | GWEN_SimplePtrList_GetUsedEntries (const GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API uint64_t | GWEN_SimplePtrList_GetUserCounter (const GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API int | GWEN_SimplePtrList_GetUserIntData (const GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API void | GWEN_SimplePtrList_IncUserCounter (GWEN_SIMPLEPTRLIST *pl)
GWENHYWFAR_API GWEN_SIMPLEPTRLIST * | GWEN_SimplePtrList_LazyCopy (GWEN_SIMPLEPTRLIST *oldList)
GWENHYWFAR_API GWEN_SIMPLEPTRLIST * | GWEN_SimplePtrList_new (uint64_t startEntries, uint64_t steps)
GWENHYWFAR_API GWEN_SIMPLEPTRLIST_ATTACHOBJECT_FN | GWEN_SimplePtrList_SetAttachObjectFn (GWEN_SIMPLEPTRLIST *pl, GWEN_SIMPLEPTRLIST_ATTACHOBJECT_FN fn)
GWENHYWFAR_API void | GWEN_SimplePtrList_SetFlags (GWEN_SIMPLEPTRLIST *pl, uint32_t f)
GWENHYWFAR_API GWEN_SIMPLEPTRLIST_FREEOBJECT_FN | GWEN_SimplePtrList_SetFreeObjectFn (GWEN_SIMPLEPTRLIST *pl, GWEN_SIMPLEPTRLIST_FREEOBJECT_FN fn)
GWENHYWFAR_API int | GWEN_SimplePtrList_SetPtrAt (GWEN_SIMPLEPTRLIST *pl, uint64_t idx, void *p)
GWENHYWFAR_API void | GWEN_SimplePtrList_SetSteps (GWEN_SIMPLEPTRLIST *pl, uint64_t steps)
GWENHYWFAR_API void | GWEN_SimplePtrList_SetUserCounter (GWEN_SIMPLEPTRLIST *pl, uint64_t i)
GWENHYWFAR_API void | GWEN_SimplePtrList_SetUserIntData (GWEN_SIMPLEPTRLIST *pl, int i)
GWENHYWFAR_API void | GWEN_SimplePtrList_SubFlags (GWEN_SIMPLEPTRLIST *pl, uint32_t f)

## Macro Definition Documentation

## GWEN_SIMPLEPTRLIST_FLAGS_ATTACHTOOBJECTS

#define GWEN_SIMPLEPTRLIST_FLAGS_ATTACHTOOBJECTS 0x40000000L

Definition at line 33 of file simpleptrlist.h.

## GWEN_SIMPLEPTRLIST_FLAGS_DETACHFROMOBJECTS

#define GWEN_SIMPLEPTRLIST_FLAGS_DETACHFROMOBJECTS 0x20000000L

Definition at line 34 of file simpleptrlist.h.

## Typedef Documentation

## GWEN_SIMPLEPTRLIST

typedef struct GWEN_SIMPLEPTRLIST GWEN_SIMPLEPTRLIST

Definition at line 38 of file simpleptrlist.h.

## GWEN_SIMPLEPTRLIST_ATTACHOBJECT_FN

typedef GWENHYWFAR_CB void(* GWEN_SIMPLEPTRLIST_ATTACHOBJECT_FN) (GWEN_SIMPLEPTRLIST *pl, void *p)

Definition at line 43 of file simpleptrlist.h.

## GWEN_SIMPLEPTRLIST_FREEOBJECT_FN

typedef GWENHYWFAR_CB void(* GWEN_SIMPLEPTRLIST_FREEOBJECT_FN) (GWEN_SIMPLEPTRLIST *pl, void *p)

Definition at line 44 of file simpleptrlist.h.

## Function Documentation

## GWEN_SimplePtrList_AddFlags()

GWENHYWFAR_API void GWEN_SimplePtrList_AddFlags | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | uint32_t | f )

References GWEN_SimplePtrList_AddFlags(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_AddFlags().

## GWEN_SimplePtrList_AddPtr()

GWENHYWFAR_API int64_t GWEN_SimplePtrList_AddPtr | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | void * | p )

References GWEN_SimplePtrList_AddPtr(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_AddPtr().

## GWEN_SimplePtrList_Attach()

GWENHYWFAR_API void GWEN_SimplePtrList_Attach | ( | GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_Attach(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_Attach().

## GWEN_SimplePtrList_Clear()

GWENHYWFAR_API void GWEN_SimplePtrList_Clear | ( | GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_Clear(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_Clear().

## GWEN_SimplePtrList_DecUserCounter()

GWENHYWFAR_API int GWEN_SimplePtrList_DecUserCounter | ( | GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_DecUserCounter(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_DecUserCounter().

## GWEN_SimplePtrList_EnsureWritability()

GWENHYWFAR_API int GWEN_SimplePtrList_EnsureWritability | ( | GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_EnsureWritability(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_EnsureWritability().

## GWEN_SimplePtrList_free()

GWENHYWFAR_API void GWEN_SimplePtrList_free | ( | GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_free(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_free().

## GWEN_SimplePtrList_GetEntries()

GWENHYWFAR_API void * GWEN_SimplePtrList_GetEntries | ( | const GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_GetEntries(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_GetEntries().

## GWEN_SimplePtrList_GetFlags()

GWENHYWFAR_API uint32_t GWEN_SimplePtrList_GetFlags | ( | const GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_GetFlags(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_GetFlags().

## GWEN_SimplePtrList_GetMaxEntries()

GWENHYWFAR_API uint64_t GWEN_SimplePtrList_GetMaxEntries | ( | const GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_GetMaxEntries(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_GetMaxEntries().

## GWEN_SimplePtrList_GetPtrAt()

GWENHYWFAR_API void * GWEN_SimplePtrList_GetPtrAt | ( | const GWEN_SIMPLEPTRLIST * | pl,
|  | uint64_t | idx )

References GWEN_SimplePtrList_GetPtrAt(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_GetPtrAt().

## GWEN_SimplePtrList_GetSteps()

GWENHYWFAR_API uint64_t GWEN_SimplePtrList_GetSteps | ( | const GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_GetSteps(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_GetSteps().

## GWEN_SimplePtrList_GetUsedEntries()

GWENHYWFAR_API uint64_t GWEN_SimplePtrList_GetUsedEntries | ( | const GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_GetUsedEntries(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_GetUsedEntries().

## GWEN_SimplePtrList_GetUserCounter()

GWENHYWFAR_API uint64_t GWEN_SimplePtrList_GetUserCounter | ( | const GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_GetUserCounter(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_GetUserCounter().

## GWEN_SimplePtrList_GetUserIntData()

GWENHYWFAR_API int GWEN_SimplePtrList_GetUserIntData | ( | const GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_GetUserIntData(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_GetUserIntData().

## GWEN_SimplePtrList_IncUserCounter()

GWENHYWFAR_API void GWEN_SimplePtrList_IncUserCounter | ( | GWEN_SIMPLEPTRLIST * | pl | ) |

References GWEN_SimplePtrList_IncUserCounter(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_IncUserCounter().

## GWEN_SimplePtrList_LazyCopy()

GWENHYWFAR_API GWEN_SIMPLEPTRLIST * GWEN_SimplePtrList_LazyCopy | ( | GWEN_SIMPLEPTRLIST * | oldList | ) |

References GWEN_SimplePtrList_LazyCopy(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_LazyCopy().

## GWEN_SimplePtrList_new()

GWENHYWFAR_API GWEN_SIMPLEPTRLIST * GWEN_SimplePtrList_new | ( | uint64_t | startEntries,
|  | uint64_t | steps )

References GWEN_SimplePtrList_new(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_new().

## GWEN_SimplePtrList_SetAttachObjectFn()

GWENHYWFAR_API GWEN_SIMPLEPTRLIST_ATTACHOBJECT_FN GWEN_SimplePtrList_SetAttachObjectFn | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | GWEN_SIMPLEPTRLIST_ATTACHOBJECT_FN | fn )

References GWEN_SimplePtrList_SetAttachObjectFn(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_SetAttachObjectFn().

## GWEN_SimplePtrList_SetFlags()

GWENHYWFAR_API void GWEN_SimplePtrList_SetFlags | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | uint32_t | f )

References GWEN_SimplePtrList_SetFlags(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_SetFlags().

## GWEN_SimplePtrList_SetFreeObjectFn()

GWENHYWFAR_API GWEN_SIMPLEPTRLIST_FREEOBJECT_FN GWEN_SimplePtrList_SetFreeObjectFn | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | GWEN_SIMPLEPTRLIST_FREEOBJECT_FN | fn )

References GWEN_SimplePtrList_SetFreeObjectFn(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_SetFreeObjectFn().

## GWEN_SimplePtrList_SetPtrAt()

GWENHYWFAR_API int GWEN_SimplePtrList_SetPtrAt | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | uint64_t | idx,
|  | void * | p )

References GWEN_SimplePtrList_SetPtrAt(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_SetPtrAt().

## GWEN_SimplePtrList_SetSteps()

GWENHYWFAR_API void GWEN_SimplePtrList_SetSteps | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | uint64_t | steps )

References GWEN_SimplePtrList_SetSteps(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_SetSteps().

## GWEN_SimplePtrList_SetUserCounter()

GWENHYWFAR_API void GWEN_SimplePtrList_SetUserCounter | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | uint64_t | i )

References GWEN_SimplePtrList_SetUserCounter(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_SetUserCounter().

## GWEN_SimplePtrList_SetUserIntData()

GWENHYWFAR_API void GWEN_SimplePtrList_SetUserIntData | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | int | i )

References GWEN_SimplePtrList_SetUserIntData().

Referenced by GWEN_SimplePtrList_SetUserIntData().

## GWEN_SimplePtrList_SubFlags()

GWENHYWFAR_API void GWEN_SimplePtrList_SubFlags | ( | GWEN_SIMPLEPTRLIST * | pl,
|  | uint32_t | f )

References GWEN_SimplePtrList_SubFlags(), and GWENHYWFAR_API.

Referenced by GWEN_SimplePtrList_SubFlags().